%global pypi_name pymongo

Summary:        Python driver for MongoDB
Name:           python-%{pypi_name}
Version:        4.3.3
Release:        5%{?dist}
License:        ASL 2.0 and MIT
URL:            https://pymongo.readthedocs.io/en/stable/
Source0:        %pypi_source
Patch0001:      fix-CVE-2024-5629.patch

BuildRequires:  gcc make python3-devel python3-setuptools

%description
The Python driver for MongoDB.

%package -n python3-bson
Summary:        Python bson library

%description -n python3-bson
BSON is a binary-encoded serialization of JSON-like documents. BSON is designed
to be lightweight, traversable, and efficient. BSON, like JSON, supports the
embedding of objects and arrays within other objects and arrays.  This package
contains the python3 version of this module.

%package -n python3-pymongo
Summary:        Python driver for MongoDB
Requires:       python3-bson = %{version}-%{release}

%description -n python3-pymongo
The Python driver for MongoDB.  This package contains the python3 version of
this module.

%package -n python3-pymongo-gridfs
Summary:        Python GridFS driver for MongoDB
Requires:       python3-pymongo = %{version}-%{release}

%description -n python3-pymongo-gridfs
GridFS is a storage specification for large objects in MongoDB.  This package
contains the python3 version of this module.

%prep
%autosetup -n %{pypi_name}-%{version} -p1

%build
%py3_build

%install
%py3_install
chmod 755 %{buildroot}%{python3_sitearch}/bson/*.so
chmod 755 %{buildroot}%{python3_sitearch}/pymongo/*.so

%files -n python3-bson
%license LICENSE
%doc README.rst
%{python3_sitearch}/bson

%files -n python3-pymongo
%license LICENSE
%doc README.rst
%{python3_sitearch}/pymongo
%{python3_sitearch}/pymongo-%{version}-*.egg-info

%files -n python3-pymongo-gridfs
%license LICENSE
%doc README.rst
%{python3_sitearch}/gridfs

%changelog
* Thu Jun 20 2024 Upgrade Robot <upbot@opencloudos.tech> - 4.3.3-5
- fix CVE-2024-5629

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.3.3-4
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.3.3-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.3.3-2
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Apr 21 2023 kianli <kianli@tencent.com> - 4.3.3-1
- initial build
